%define cups_server_bin %(cups-config --serverbin 2>/dev/null || echo CUPSCONFIG_NOT_FOUND)

Name:		yajhfc
Summary:	Yet Another Java HylaFAX Client
Version:	0.6.0
Release:	1.1
License:	GNU General Public License (GPL)
Group:		Hardware/Fax
Source0:	%{name}-%{version}-rpmsrc.tar.bz2
Patch0:		%{name}-faxprinter-lib.patch
URL:		http://www.yajhfc.de/
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
BuildRequires:	update-desktop-files
BuildRequires:	fastjar
%endif
BuildRequires:	cups
BuildRequires:	cups-client
BuildRequires:	java >= 1.5.0
Requires:	java >= 1.5.0

%description
YajHFC is a client program for the HylaFAX fax server, implemented in Java.

 Features:
   * Faxing documents in PostScript, PDF and various other formats
   * Polling faxes
   * Support for generating cover pages from templates
   * Viewing sent and received faxes
   * Phone book (entries can optionally be read from SQL databases or LDAP directories)
   * Visible table columns may be selected in a dialog
   * Supports nine languages: English, French, German, Greek, Italian, Polish, Russian, Spanish and Turkish

%package faxprinter
Summary:	Install a virtual fax printer for YajHFC
Requires:	%{name}
Requires:	cups
Requires:	cups-client
Requires:	%{name} = %{version}-%{release}
Group:		Hardware/Fax

%description faxprinter
This package installs a virtual fax printer in CUPS for YajHFC.

When a user prints to this printer, the output is redirected to YajHFC and
a "send fax" dialog is shown.

YajHFC must be running when a user wishes to print to the virtual fax printer.
Because of that, this package automatically adds an autostart link for all 
desktop environments conforming to the Free Desktop Menu Specification (e.g. KDE, GNOME, XFCE).

%prep
%setup -n %{name}-%{version}
%patch0

%build
sh build.sh

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
sh install.sh "%{buildroot}"
sh install-faxprinter.sh "%{buildroot}" "%{_lib}" "%{cups_server_bin}/backend"
%if 0%{?suse_version}
%suse_update_desktop_file -r %{name} Office Viewer
%endif

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-, root, root)
%doc doc/README.txt doc/faq.pdf doc/COPYING
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}.jar
%{_datadir}/%{name}/%{name}.ppd
%{_datadir}/%{name}/logo-large.png
%{_datadir}/%{name}/lib
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.gz
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/16x16
%dir %{_datadir}/icons/hicolor/16x16/apps
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/apps
%dir %{_datadir}/icons/hicolor/48x48
%dir %{_datadir}/icons/hicolor/48x48/apps
%dir %{_datadir}/icons/hicolor/128x128
%dir %{_datadir}/icons/hicolor/128x128/apps
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png


%post faxprinter
        if %{_bindir}/lpstat -p yajhfc >/dev/null 2>&1 ; then
	  echo 'YajHFC fax printer already exists.'
	else
       	  %{_sbindir}/lpadmin -p yajhfc -D 'YajHFC virtual fax printer' -L 'localhost' -v 'yajhfc:/tmp/yajhfc-$USERNAME' -E -P /usr/share/yajhfc/yajhfc.ppd -o "printer-error-policy=abort-job" -o "printer-is-shared=false" || true
	  echo 'Virtual fax printer "yajhfc" created. (Re)Start YajHFC to fully enable it.'
	fi

%preun faxprinter
	%{_sbindir}/lpadmin -x yajhfc || true

%files faxprinter
%defattr(-, root, root)
%doc doc/COPYING
%dir %{_sysconfdir}/%{name}
%config %{_sysconfdir}/%{name}/settings.override
%config %{_sysconfdir}/xdg/autostart/%{name}-autostart.desktop
%{cups_server_bin}/backend/%{name}


%changelog
* Sat Mar 19 2016 cs@linux-administrator.com
- update to release 0.6.0
* Mon Jan 20 2014 cs@linux-administrator.com
- update release 0.5.5
* Sun Aug 25 2013 cs@linux-administrator.com
- update release 0.5.4
* Mon May 20 2013 cs@linux-administrator.com
- re-import to buildservice
- update filelist
- macrofying
- patch faxprinter install script for correct cups libdir
